> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/stellar/horizon-api/trades/list-all-trades.md).

# List All Trades

This endpoint lists all trades and can be used in streaming mode. Streaming mode allows you to listen for new trades as they are added to the Stellar ledger. If called in streaming mode, Horizon will start at the earliest known trade unless a cursor is set, in which case it will start from that cursor. By setting the cursor value to now, you can stream trades created since your request time. When filtering for a specific orderbook, you must use use all six of these arguments: base\_asset\_type, base\_asset\_issuer, base\_asset\_code, counter\_asset\_type, counter\_asset\_issuer, and counter\_asset\_code. If the base or counter asset is XLM, you only need to indicate the asset type as native and do not need to designate the code or the issuer.

This method will use `20` [Compute Units](/v1/about/billing.md).

***

## Reference: [Here](https://developers.stellar.org/network/horizon/api-reference/resources/get-all-trades)

{% openapi src="/files/9L0w2HNyHURBIA6Y2MBg" path="/trades" method="get" %}
[horizon-openapi\_vc.yml](https://1292504766-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FF3uvE671dWWOTAu9svnI%2Fuploads%2FZki9Dvj0W61fX9Jyhir7%2Fhorizon-openapi_vc.yml?alt=media\&token=e5961be6-b70d-4c20-8f54-996e04e8ac21)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/stellar/horizon-api/trades/list-all-trades.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
